$(document).ready(function(e) {
    readpopup();
});
function removePopup(){
	
	$(".inner").addClass("animated hinge");
	$(".outer").removeClass("outer");
	$('.inner').removeAttr('style');
	$('.inner').addClass("hide");
	$('.inner').removeClass('inner');
	$(".ms-close").remove();
	
	
}
function readpopup(){
	//console.log(data)
	$('.mss-popup').each(function(index, value){
		var target=$(this).attr('href');
		var target_type=$(this).attr('data-type');
		var iframe_css=$(this).attr('data-css');
		$(this).attr('href','javascript:;');
		$(this).on("click",function(){
			getPopup(target,index,target_type,iframe_css);
			$(".mss-close").on("click",function() {
				$(".outer").remove();
			});
			$(".ms-close").on("click",function() {
				$.post(ROOT+"ajax.php?ftype="+$("#ftype").val()+"&spacefid="+$("#spacefid").val()+"&Availability="+$("#Availability").val(),{type:"addfacilities"},function(data){});
				var ids=$(this).attr('data-id');
				$("#"+ids).addClass("animated zoomOut");
				setTimeout(function (){
					$("#"+ids).removeClass('inner animated zoomOut');// animated bounceOutDown');
					$("#"+ids).removeAttr('style');
					$("#"+ids).addClass("hide");
					$(".outer").removeClass("outer");
					$(".ms-close").remove();
				}, 500);
			});
		});
	});
}
function showsubCat(id,cid)
{
	$("#loader").show();
	$.post(ROOT+"ajax.php",{type:"showsubCat",stid:id,cid:cid},function (data){
		$("#subcatDiv").show();
		$("#subcatnames").html(data);
		$("#loader").hide();
	});		
}

			
function getPopup(src,index,target_type,iframe_css){
	if(target_type=="div"){
		//$("body").prepend("<div class='outer' id='outer"+index+"'></div>");
		$("#"+src).wrap("<div class='outer'></div>");
		$("#"+src).addClass('inner animated bounce');
		$("#"+src).attr('style',iframe_css);
		$("#"+src).removeClass("hide");
		$("#"+src).css({'display':'inline-block'});
		$(".outer").append("<img src='"+URL_ROOT+"images/close.png' class='ms-close' data-id='"+src+"' />");
		setTimeout(function (){
			$("#"+src).removeClass('animated zoomOut');// animated bounceOutDown');
		}, 500);
	}else{
		var creatediv=$("<div class='outer' id='outer"+index+"' style='display:inline-block !important;'><div style='"+iframe_css+"' class='inner_frame' id='inner"+index+"'><iframe src='"+src+"' class='frame' id='frame"+index+"' style='width:100%; height:100%; overflow-y:auto; overflow-x:hidden'   frameborder='0' scrolling='auto' ></iframe><img src='"+URL_ROOT+"images/close.png' class='mss-close' /></div></div>").hide();
		$("body").append(creatediv);
	}
}